Package com.arms.api.globaltreemap.service

## Interface GlobalTreeMapService

- All Known Implementing Classes:
    `GlobalTreeMapServiceImpl`

      public interface GlobalTreeMapService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Long` | `delete​(GlobalTreeMapEntity globalTreeMapEntity)` |
    `void` | `delete​(java.lang.Long map_key)` |
    `void` | `deleteAllByMapKey​(java.util.List<java.lang.Long> map_keys)` |
    `java.util.List<GlobalTreeMapEntity>` | `findAllBy​(GlobalTreeMapEntity globalTreeMapEntity)` |
    `java.util.List<GlobalTreeMapEntity>` | `findAllByIds​(java.util.List<java.lang.Long> ids, java.lang.String name)` |
    `java.util.Map<java.lang.String,​java.util.List<java.lang.Long>>` | `findAllMapBy​(GlobalTreeMapEntity globalTreeMapEntity)` |
    `java.util.Map<java.lang.String,​java.util.List<java.lang.Long>>` | `findAllMapByIds​(java.util.List<java.lang.Long> ids, java.lang.String name)` |
    `GlobalTreeMapEntity` | `findById​(java.lang.Long map_key)` |
    `java.util.List<GlobalTreeMapEntity>` | `saveAll​(java.util.List<GlobalTreeMapEntity> globalTreeMapEntity)` |
    `GlobalTreeMapEntity` | `saveOne​(GlobalTreeMapEntity globalTreeMapEntity)` |
    `GlobalTreeMapEntity` | `update​(GlobalTreeMapEntity globalTreeMapEntity)` |

- - ### Method Detail

    - #### saveAll

          java.util.List<GlobalTreeMapEntity> saveAll​(java.util.List<GlobalTreeMapEntity> globalTreeMapEntity)

    - #### saveOne

          GlobalTreeMapEntity saveOne​(GlobalTreeMapEntity globalTreeMapEntity)

    - #### update

          GlobalTreeMapEntity update​(GlobalTreeMapEntity globalTreeMapEntity)

    - #### delete

          java.lang.Long delete​(GlobalTreeMapEntity globalTreeMapEntity)

    - #### delete

          void delete​(java.lang.Long map_key)

    - #### deleteAllByMapKey

          void deleteAllByMapKey​(java.util.List<java.lang.Long> map_keys)

    - #### findAllBy

          java.util.List<GlobalTreeMapEntity> findAllBy​(GlobalTreeMapEntity globalTreeMapEntity)

    - #### findAllMapBy

          java.util.Map<java.lang.String,​java.util.List<java.lang.Long>> findAllMapBy​(GlobalTreeMapEntity globalTreeMapEntity)

    - #### findAllByIds

          java.util.List<GlobalTreeMapEntity> findAllByIds​(java.util.List<java.lang.Long> ids,
                                                           java.lang.String name)

    - #### findAllMapByIds

          java.util.Map<java.lang.String,​java.util.List<java.lang.Long>> findAllMapByIds​(java.util.List<java.lang.Long> ids,
                                                                                               java.lang.String name)

    - #### findById

          GlobalTreeMapEntity findById​(java.lang.Long map_key)